#ifndef ASM_H
#define ASM_H
/*
* Dateiname.... asm.h
* erstellt am.. 2013-3-27
* gendert am.. 
* Platform..... N/A
* Autor........ Clemens B Fahr
* email........ clemens.fahr[at]fahrnet.de
* Kommentar.... redefines assembler commands to C-code functions for ease of use
* .............
* .............
*/

#define cli() __asm__ __volatile__ ("cli" ::) // redefines CLI from ASM to C
#define sei() __asm__ __volatile__ ("sei" ::) // redefines SEI from ASM to C
#define nop() __asm__ __volatile__ ("nop" ::) // redefines a "no-operation" NOP from ASM to C



#endif